%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Simple process monitor
Name:		gnome-system-monitor
Version:	3.6.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	procman48.png
Source2:	procman32.png
Source3:	procman16.png
Patch0:		gnome-system-monitor-3.5.92-fix-id-translation.patch
BuildRequires:	pkgconfig(giomm-2.4) >= 2.27
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.27
BuildRequires:	pkgconfig(gnome-icon-theme) >= 2.31
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gtkmm-3.0) >= 2.99
BuildRequires:	pkgconfig(libgtop-2.0) >= 2.28.2
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.12
BuildRequires:	pkgconfig(libwnck-3.0) >= 2.91.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.0
BuildRequires:	pkgconfig(libsystemd-daemon) >= 38
BuildRequires:	pkgconfig(libsystemd-login) >= 38
BuildRequires:	gnome-doc-utils
BuildRequires:	itstool
BuildRequires:	intltool >= 0.41.0
Requires:	polkit-agent

%ifnarch %arm %mips
Requires:	lsb-release
%endif

%description
Gnome-system-monitor is a simple process and system monitor.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x \
	--disable-schemas-compile \
	--enable-systemd
%make

%install
%makeinstall_std

%find_lang %{name} --with-help

install -Dpm644 %{SOURCE1} %{buildroot}%{_liconsdir}/procman.png
install -Dpm644 %{SOURCE2} %{buildroot}%{_iconsdir}/procman.png
install -Dpm644 %{SOURCE3} %{buildroot}%{_miconsdir}/procman.png

# work around broken Keywords: in translations
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/   %{buildroot}%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%doc README NEWS AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/%{name}/


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352215
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306765
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297222
- fix translations breaking the .desktop file
- new version 3.6.0

* Tue Sep 18 2012 fwang <fwang> 3.5.92-1.mga3
+ Revision: 295724
- fix id destkopt translation

  + ovitters <ovitters>
    - new version 3.5.92

* Tue Aug 21 2012 fwang <fwang> 3.5.90.1-1.mga3
+ Revision: 282832
- update file list
- br itstool

  + ovitters <ovitters>
    - new version 3.5.90.1

* Tue Aug 07 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 279627
- new version 3.5.90

* Mon Jun 11 2012 ovitters <ovitters> 3.4.1-2.mga3
+ Revision: 259817
- enable systemd

* Tue Apr 17 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231149
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227032
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224545
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219720
- new version 3.3.91

* Wed Feb 22 2012 wally <wally> 3.3.90-1.mga2
+ Revision: 212271
- new version 3.3.90

* Tue Feb 14 2012 ovitters <ovitters> 3.3.4-2.mga2
+ Revision: 208931
- clean spec

* Sat Jan 21 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 199077
- new version 3.3.4

* Tue Dec 20 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184911
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.3.2.1-1.mga2
+ Revision: 171461
- new version 3.3.2.1

* Tue Nov 22 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170718
- new version 3.3.2

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156173
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148632
- new version 3.2.0

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136509
- new version 3.1.90

* Wed Jul 06 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 119490
- new version 3.1.3
- drop old provides and obsoletes
- clean .spec a bit

* Sat Jun 18 2011 cjw <cjw> 3.0.1-1.mga2
+ Revision: 109364
- add BuildRequires: gnome-common
- 3.0.1
- drop patches, polkit support not (yet) ported?

* Tue Feb 22 2011 pterjan <pterjan> 2.28.2-1.mga1
+ Revision: 57144
- Drop old stuff
- imported package gnome-system-monitor

